Subject: Re: linux-next: manual merge of the char-misc tree with the ia64 tree

From: Borislav Petkov <[email-masked]>
Date: Tue, 15 Jul 2014 17:36:13 +0200

On Tue, Jul 15, 2014 at 03:22:31PM +0000, Luck, Tony wrote:
> > Wait, do we really need a drivers/ras directory for one single driver?
> > Why not put it in drivers/misc/ instead?  A whole subdir at the top of
> > drivers seems overkill and odd.
> >
> > As it's a memory driver, what about drivers/firmware/ or drivers/edac/
> > or drivers/platform?
> 
> It isn't really a firmware driver, and definitely not an EDAC driver.
> 
> drivers/platform/x86 seems at least plausible.
> 
> Adding Boris as drivers/ras was his idea. I think he has plans
> for more stuff to go here.

Actually what I'd really like is to have a separate RAS subsystem where
we pull in all things RAS. Possibly arch-independent as I'm assuming
other arches would need RAS functionality at some point too.

Currently, all the stuff we're doing is x86-only so arch/x86/ras/ might
be a good place too, if other arches wanna do their own thing or if x86
RAS facilities turn out to be PITA to make arch-independent.

-- 
Regards/Gruss,
    Boris.

Sent from a fat crate under my desk. Formatting is fine.
--